lkml.org 
[lkml]   [2003]   [Feb]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
Subjectmii-tool works - but need compiled again
It seems that my TimeSys OS uses a different library from the standard
Linux. Following Mark Hahn's suggestion, what we need do is to recompile
mii-tool.

Thanks all!


Xinwen Fu


On Mon, 24 Feb 2003, Jeff Garzik wrote:

> On Mon, Feb 24, 2003 at 12:27:31PM -0600, Xinwen Fu wrote:
> > Hi,
> > For one of my machines, both ethtool and mii-tool don't work. Here
> > are the error messages:
> >
> > (mii-tool)
> > SIOCGMIIPHY on 'eth0' failed: invalid argument
> > .............................................
> > SIOCGMIIPHY on 'eth7' failed: invalid argument
> > no MII interfaces found
> >
> > (ethtool eth0)
> > setting for eth0:
> > no data available
>
> What NIC driver are you using?
>
> It is the responsibility of the NIC driver to provide this information.
>
> Jeff
>
>
>
>
>

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:33    [W:0.072 / U:4.164 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site